#!/bin/csh -f

# tests.sh (tests cases for ensemble.pl program)
# To run this program just type : tests.sh

#First test case
# This test checks if ensemble.pl takes all the distinct word pairs if the numbers
# of votes specified is 1.

echo "Testing ensemble.pl program";

# command to run ensemble.pl with the test-1-a.txt test-1-b.txt test-1-c.txt as input files
perl ../../ensemble.pl --votes 1 test-1-a.txt test-1-b.txt  test-1-c.txt> out

# output of the above run is then sorted
sort out > out.sort

# difference between the sorted output for the above run and the
# standard sorted output for the same run is found

diff out.sort test1.output.sort > difference.txt

# if there is no difference then the test is successful 
# else not

if (-z difference.txt) then 
    echo "Test 1 successful";
else
    echo "Test 1 failed\n";
endif 

/bin/rm -f out
/bin/rm -f out.sort
/bin/rm -f difference.txt

#Second test case
# This test checks if ensemble.pl takes  word pairs which occur in only all the filesif the numbers
# of votes specified is equal to the number of input files

# command to run ensemble.pl with the test-2-a.txt test-2-b.txt test-2-c.txt as input files
perl ../../ensemble.pl --votes 3 test-2-a.txt test-2-b.txt  test-2-c.txt> out

# output of the above run is then sorted
sort out > out.sort

# difference between the sorted output for the above run and the
# standard sorted output for the same run is found

diff out.sort test2.output.sort > difference.txt

# if there is no difference then the test is successful 
# else not

if (-z difference.txt) then 
    echo "Test 2 successful";
else
    echo "Test 2 failed\n";
endif 

/bin/rm -f out
/bin/rm -f out.sort
/bin/rm -f difference.txt

