#!/bin/csh -f


# tests.sh 
#test cases for the kvec.pl program
# To run this program just type : tests.sh

#First test case
# This test checks whether or not kvec.pl divides the text into
# proper pieces.

echo "Testing kvec.pl program";

# command to run kvec.pl with the following options for the files
# test-1-a.txt as the source text and test-1-b.txt as the target text.
perl ../../kvec.pl --lcutoff 1 --pieces 10 test-1-b.txt test-1-a.txt > out

# output of the above run is then sorted
sort out > out.sort

# difference between the sorted output for the above run and the
# standard sorted output for the same run is found

diff out.sort test1.output.sort > difference.txt

# if there is no difference then the test is successful 
# else not

if (-z difference.txt) then 
    echo "Test 1 successful";
else
    echo "Test 1 failed\n";
endif 

/bin/rm -f out
/bin/rm -f out.sort
/bin/rm -f difference.txt



# Second Test case
# This test case checks if the the extra words in the files are appended
# to the last piece when the number of words is not exactly the
# sqaure root OR number of words per piece is not equal to number of pieces.

# command to run kvec.pl with the foloowing options for the files
# test-2-a.txt as the source text and test-2-b.txt as the target text.
perl ../../kvec.pl --lcutoff 1 test-2-b.txt test-2-a.txt > out

# output of the above run is then sorted
sort out > out.sort

# difference between the sorted output for the above run and the
# standard sorted output for the same run is found

diff out.sort test2.output.sort > difference.txt

# if there is no difference then the test is successful 
# else not

if (-z difference.txt) then
    echo "Test 2 successful";
else
    echo "Test 2 failed\n";
endif 

/bin/rm -f out
/bin/rm -f out.sort
/bin/rm -f difference.txt


# Third test case

# This test case check if the values for a word pair calculated by the
# program are correct.
# command to run kvec.pl with the foloowing options for the files

# test-3-a.txt as the source text and test-3-b.txt as the target text.
perl ../../kvec.pl test-3-b.txt test-3-a.txt > out

# output of the above run is then sorted
sort out > out.sort

# difference between the sorted output for the above run and the
# standard sorted output for the same run is found

diff out.sort test3.output.sort > difference.txt

# if there is no difference then the test is successful 
# else not

if (-z difference.txt) then
    echo "Test 3 successful";
else
    echo "Test 3 failed\n";
endif 

/bin/rm -f out
/bin/rm -f out.sort
/bin/rm -f difference.txt

